<h1><strong>Editar Account</strong></h1>
<p>
<? session_start();
include 'cnn.php';
include 'config/conf_extras.php';
@$login = $_SESSION['login'];
@$senha = $_SESSION['senha'];
if(!isset($_SESSION['login'])) { echo "Para acessar essa pagina é preciso estar logado!"; }
else{
$Gms = mssql_fetch_row(mssql_query("select painelgm from memb_info where memb___id='".$login."'"));
if($Gms[0] <= 0) { echo "Você não faz parte da Administração"; }
else{
	echo "
	<form name='form1' method='post' action='?go=painel/editacc&act=edit1'>
<table width='90%' cellspacing='4'>
  <tr>
    <td width='15%' align=right>Login</td>
    <td width='2%'>:</td>
    <td width='83%' align=left><input name='acc' class='input03' type='text' id='acc' maxlength='10'></td>
  </tr>
  <tr>
    <td width='15%' align=left>&nbsp;</td>
    <td width='2%'>&nbsp;</td>
    <td width='83%' align=left><input type='submit' value='Editar' name='admconfirma1'  class='submit' /></td>
  </tr>
</table></form>";
}
	if ($act == 'edit1') {
		$acc = $_POST['acc'];
		
		$dados_acc_q = mssql_query("SELECT * FROM MEMB_INFO WHERE memb___id='$acc'");
		$dados_acc = mssql_fetch_array($dados_acc_q);
	
		if (mssql_num_rows($dados_acc_q) < 1) {
			echo "<script>alert('Login Não Encontrado.')</script>";
			echo "<script>ir.php?pagina=editacc'</script>";
		} else {
			
			if ($dados_acc['fpas_ques'] == 'O nome do Seu animal de estimcao?') { $perg1 = "selected='selected'"; }
			if ($dados_acc['fpas_ques'] == 'Nome da sua primeira escola?') { $perg2 = "selected='selected'"; }
			if ($dados_acc['fpas_ques'] == 'Nome do Seu Heroi Favorito?') { $perg3 = "selected='selected'"; }
			if ($dados_acc['fpas_ques'] == 'Seu passa tempo favorito?') { $perg4 = "selected='selected'"; }
			if ($dados_acc['fpas_ques'] == 'Seu Esporte Favorito?') { $perg5 = "selected='selected'"; }
			if ($dados_acc['fpas_ques'] == 'Seu ultimo Nome?') { $perg6 = "selected='selected'"; }
			if ($dados_acc['fpas_ques'] == 'Mascote da sua escola?') { $perg7 = "selected='selected'"; }
			if ($dados_acc['fpas_ques'] == 'Qual seu primeiro carro ?') { $perg8 = "selected='selected'"; }
			
			echo "<hr><br><form name='form_editaracc' method='post' action='?go=painel/editacc&act=edit2' id='form_editaracc'>
				<div align=center><b>Dados Pessoais</b></div><br><br>
				<table cellSpacing=0 cellPadding=3 border=0>
					<tr>
					<td class=label noWrap align=right>Nome Completo</td>
					<td><input class='input03' style='WIDTH: 150px' maxLength='255' name='nome' id='name' value='$dados_acc[memb_name]'></td>
					</tr>
					<tr>
					<td class=label noWrap align=right>Telefone</td>
					<td><input class='input03' style='WIDTH: 150px' maxLength='255' name='telefone' value='$dados_acc[tel__numb]'></td>
					</tr>
					<tr>
					<td class=label noWrap align=right>Email</td>
					<td><input class='input03' style='WIDTH: 150px' maxLength='255' name='email' value='$dados_acc[mail_addr]'></td>
					</tr>
					<tr>
					</tr>
  </table><br><br>
					<span class='sub_title'><strong>Dados da Account:</strong></span><br>
					<br>
					<table cellSpacing=0 cellPadding=3 border=0>
					<tbody>
					<tr>
					<td class=label noWrap align=right>Usu&aacute;rio</td>
					<td><input class='input03' style='WIDTH: 150px' type='text' maxLength='10' id='acc' value='$dados_acc[memb___id]' disabled='disabled'><input name='acc' type='hidden' class='input03' id='acc' value='$dados_acc[memb___id]' style='WIDTH: 150px' hidden=hidden></td>
					</tr>
					<tr>
							<td class=label noWrap align=right>Nova Senha ?</td>
							<td><input class='input03' style='WIDTH: 150px' type='password' maxLength='10' name='senha' value='$dados_acc[memb__pwd]' id='senha'></td>
					  </tr>
					</table><br>
					<span class='sub_title'><strong>Informações adicionais: </strong></span><br><br>
					<table cellSpacing=0 cellPadding=3 border=0>
					<tr>
								
				  <td class=label noWrap align=right>Aniversario</td>
				   <td><input class='input03' style='WIDTH: 100px;' type='text' maxLength='11' name='niver' value='$dados_acc[aniversario]' id='niver'></td>
				</tr>
				 <tr>
								<td class=note></td></tr></tbody></table><br><br>
							<table cellSpacing=0 cellPadding=3 border=0>
							  <tbody>
							  <tr>
								
				  <td class=label noWrap align=right>Selecione uma Pergunta</td>
								<td align=left width='100%'><input class='input03' style='WIDTH: 150px' maxlength='255' name='resposta2' value='$dados_acc[fpas_ques]' id='resposta2' /></td></tr>
							  <tr>
								
				  <td class=label noWrap align=right>Sua Resposta</td>
								<td align=left width='100%'><input class='input03' style='WIDTH: 150px' maxLength='255' name='resposta' value='$dados_acc[fpas_answ]' id='resposta'></td></tr></tbody></table><br><center>
								  <font color='#FFFFFF' size='1' face='Verdana, Arial, Helvetica, sans-serif'>
								  <input type='submit' value='Editar' name='admconfirma2'  class='submit' />
								  </font>
								</center></form>";
		}
	}
	if ($act == 'edit2') {
		$acc = $_POST['acc'];
		$nome = $_POST['nome'];
		$telefone = $_POST['telefone'];
		$email = $_POST['email'];
		$senha = $_POST['senha'];
		$niver = $_POST['niver'];
		$pergunta = $_POST['pergunta'];
		$resposta = $_POST['resposta'];
		
		$checa_mail_q = mssql_query("SELECT * FROM MEMB_INFO WHERE mail_addr='$email'");
		$mail_dados = mssql_fetch_array($checa_mail_q);
				
		if (empty($nome)) {
			echo "<script>alert('Você esqueceu o Campo Nome em Branco.')</script>";
			echo "<script>window.location='ir.php?pagina=editacc'</script>";
		} elseif (empty($telefone)) {
			echo "<script>alert('Você esqueceu o Campo Telefone em Branco.')</script>";
			echo "<script>window.location='ir.php?pagina=editacc'</script>";
		} elseif (empty($email)) {
			echo "<script>alert('Você esqueceu o Campo Email em Branco.')</script>";
			echo "<script>window.location='ir.php?pagina=editacc'</script>";
		} elseif (empty($niver)) {
			echo "<script>alert('Você esqueceu o Campo Aniversário m Branco.')</script>";
			echo "<script>window.location='ir.php?pagina=editacc'</script>";
		} elseif (empty($pergunta)) {
			echo "<script>alert('Você esqueceu o Campo Pergunta em Branco.')</script>";
			echo "<script>window.location='ir.php?pagina=editacc'</script>";
		} elseif (empty($resposta)) {
			echo "<script>alert('Você esqueceu o Campo Resposta em Branco.')</script>";
			echo "<script>window.location='ir.php?pagina=editacc'</script>";
		} elseif (mssql_num_rows($checa_mail_q) == 0) {
			echo "<script>alert('Este E-mail já esta sendo utilizado.')</script>";
			echo "<script>window.location='ir.php?pagina=editacc'</script>";
		} else {
				$senha_q = "memb__pwd='$senha',";
			}
			
		
			mssql_query("UPDATE MEMB_INFO SET 
							memb_name='$nome',
							tel__numb='$telefone',
							mail_addr='$email',
							$senha_q
							aniversario='$niver',
							fpas_ques='$pergunta',
							fpas_answ='$resposta'
							WHERE memb___id='$acc'");

			echo "<br><div align=center><b>A Account $acc Foi Editada Com Sucesso</b><br><br>";
		}
	}
?>
</p>
</body></html>